#!/usr/bin/env python

import argparse, math

from timecode import timecode_tosecs

ap = argparse.ArgumentParser("")
ap.add_argument("timecode")
ap.add_argument("--framerate", type=float, default=25.0)
args = ap.parse_args()

f = args.framerate * timecode_tosecs(args.timecode)
f = int(math.floor(f))
print ("{0}".format(f))
